summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 0db0947a..7051b7da 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -39,10 +39,14 @@ function highlight { command highlight "$@"; test $? = 0 -o $? = 141; }
 case "$extension" in
 	# Archive extensions:
 	7z|a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
-	rar|rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
+	rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
 		als "$path" | head -n $maxln
 		success && exit 0 || acat "$path" | head -n $maxln && exit 3
 		exit 1;;
+	rar)
+		unrar -p- lt "$path" | head -n $maxln
+		success && exit 0;
+		exit 1;;
 	# PDF documents:
 	pdf)
 		pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width
3'>93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126